System 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used by the method to specify the level of character escaping in the returned URI.

RFC 2396 defines the standard escaping for URIs, and is available at http://rfc-editor.org.

leaves the following characters escaped if the character has a reserved meaning in the requested : "%", "#", "?", "/", "\", and "@".

Controls how URI information is escaped.

- Field
  2.0.0.0
  4.0.0.0
  System.UriFormat

  Characters that have a reserved meaning in the requested URI components remain escaped. All others are not escaped. See Remarks.

- Field
  2.0.0.0
  4.0.0.0
  System.UriFormat

  No escaping is performed.

- Field
  2.0.0.0
  4.0.0.0
  System.UriFormat

  Escaping is performed according to the rules in RFC 2396.